View Issue Details

IDProjectCategoryView StatusLast Update
0002717Ham Radio DeluxeBugpublic2018-06-13 09:13
ReporterPD9FER 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityunable to reproduce
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.843 
Summary0002717: Build 840 Logbook crashes upon opening
DescriptionCustomer tells the 840 release let Logbook crash upon opening
Reverted back to 806 and it works fine.
Steps To ReproduceCan't reproduce
Additional InformationTicket #339031
2 Minidumps added to Google File Stream
TagsNo tags attached.
ModuleLogbook
Sub-ModuleVarious
Testing Beta Successful

Relationships

Activities

PD9FER

2018-05-15 06:46

viewer   ~0005048

Mantis_ID-0002717.rar

K7ZCZ

2018-05-15 11:04

manager   ~0005054

Good news is that both crashes are in the same place. Looks like a window isn't found at the time layout happens when the application starts up.

0:000> .ecxr
eax=00000000 ebx=08550678 ecx=00000000 edx=0000000e esi=0000c308 edi=08518678
eip=0116ea02 esp=026ff044 ebp=026ff070 iopl=0         nv up ei pl zr ac pe cy
cs=0023  ss=002b  ds=002b  es=002b  fs=0053  gs=002b             efl=00210257
HRDLogbook!CHRDLogbookFrame::OnTaskPanelNotify+0x182:
0116ea02 ff7020          push    dword ptr [eax+20h]  ds:002b:00000020=????????
0:000> kb
  *** Stack trace for last set context - .thread/.cxr resets it
 # ChildEBP RetAddr  Args to Child              
00 026ff070 00c21911 00000001 000017d4 9beb1cf4 HRDLogbook!CHRDLogbookFrame::OnTaskPanelNotify+0x182 [c:\ham radio\logbook\hrdlogbook\hrdlogbookframe.cpp @ 1040] 
01 026ff128 00bef4b6 01443d38 00000001 08398a08 HRDLogbook!CWnd::OnWndMsg+0x302 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 2272] 
02 026ff144 00c22e03 000027ec 00000001 08398a08 HRDLogbook!CXTPCommandBarsSiteBase<CMDIChildWnd>::OnWndMsg+0x46 [c:\ham radio\codejock software\mfc\xtreme toolkitpro v15.0.2\source\commandbars\xtpframewnd.h @ 190] 
03 026ff164 00c1e8b7 000027ec 00000001 08398a08 HRDLogbook!CWnd::WindowProc+0x22 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 2094] 
04 026ff1d4 00c1f06c 08518678 00090eb8 000027ec HRDLogbook!AfxCallWndProc+0xb0 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 285] 
05 026ff1f4 7723e0bb 00090eb8 000027ec 00000001 HRDLogbook!AfxWndProc+0x34 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 434] 
06 026ff220 77248849 00c1f038 00090eb8 000027ec user32!_InternalCallWinProc+0x2b
07 026ff244 7724b145 000027ec 00000001 08398a08 user32!InternalCallWinProc+0x20
08 026ff314 7724833a 00c1f038 00000000 000027ec user32!UserCallWinProcCheckWow+0x1be
09 026ff35c 7722fbab 000027ec 00000001 08398a08 user32!CallWindowProcAorW+0xd4
0a 026ff374 00ea720c 00c1f038 00090eb8 000027ec user32!CallWindowProcW+0x1b
0b 026ff3bc 7723e0bb 00c1f038 000027ec 00000001 HRDLogbook!CXTPHookManager::HookWndProc+0xac [c:\hrdbranch\ham radio\codejock software\mfc\xtreme toolkitpro v15.0.2\source\common\xtphookmanager.cpp @ 267] 
0c 026ff3e8 77248849 00ea7160 00090eb8 000027ec user32!_InternalCallWinProc+0x2b
0d 026ff40c 7724b145 000027ec 00000001 08398a08 user32!InternalCallWinProc+0x20
0e 026ff4dc 7724a89c 00ea7160 00000000 000027ec user32!UserCallWinProcCheckWow+0x1be
0f 026ff548 7722b95b 04f3ba90 00000000 08398a08 user32!SendMessageWorker+0x6ff
10 026ff570 00db00a8 00090eb8 000027ec 00000001 user32!SendMessageW+0x5b
11 026ff588 00db00f0 00000001 08398a08 026ff664 HRDLogbook!CXTPTaskPanel::NotifyOwner+0x38 [c:\hrdbranch\ham radio\codejock software\mfc\xtreme toolkitpro v15.0.2\source\taskpanel\xtptaskpanel.cpp @ 2141] 
12 026ff598 00db0de2 08398a08 7fffffff 00db0d80 HRDLogbook!CXTPTaskPanel::OnClick+0x10 [c:\hrdbranch\ham radio\codejock software\mfc\xtreme toolkitpro v15.0.2\source\taskpanel\xtptaskpanel.cpp @ 1232] 
13 026ff5a8 00c21b12 00000000 0000004a 00000083 HRDLogbook!CXTPTaskPanel::OnLButtonUp+0x62 [c:\hrdbranch\ham radio\codejock software\mfc\xtreme toolkitpro v15.0.2\source\taskpanel\xtptaskpanel.cpp @ 1330] 
14 026ff664 00db18c4 0137de18 00000000 0083004a HRDLogbook!CWnd::OnWndMsg+0x503 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 2473] 
15 026ff680 00c22e03 00000202 00000000 0083004a HRDLogbook!CXTPTaskPanel::OnWndMsg+0x34 [c:\hrdbranch\ham radio\codejock software\mfc\xtreme toolkitpro v15.0.2\source\taskpanel\xtptaskpanel.cpp @ 2291] 
16 026ff6a0 00bef094 00000202 00000000 0083004a HRDLogbook!CWnd::WindowProc+0x22 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 2094] 
17 026ff700 00c1e8b7 00000202 00000000 0083004a HRDLogbook!CXTPOfficeBorder<CXTPTaskPanel,1>::WindowProc+0x64 [c:\ham radio\codejock software\mfc\xtreme toolkitpro v15.0.2\source\common\xtpdrawhelpers.h @ 1398] 
18 026ff770 00c1f06c 0851934c 00060e44 00000202 HRDLogbook!AfxCallWndProc+0xb0 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 285] 
19 026ff790 7723e0bb 00060e44 00000202 00000000 HRDLogbook!AfxWndProc+0x34 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 434] 
1a 026ff7bc 77248849 00c1f038 00060e44 00000202 user32!_InternalCallWinProc+0x2b
1b 026ff7e0 7724b145 00000202 00000000 0083004a user32!InternalCallWinProc+0x20
1c 026ff8b0 772390dc 00c1f038 00000000 00000202 user32!UserCallWinProcCheckWow+0x1be
1d 026ff91c 77238c20 effd1d48 026ff954 00c27eb3 user32!DispatchMessageWorker+0x4ac
1e 026ff928 00c27eb3 04928880 00000000 0157f330 user32!DispatchMessageW+0x10
1f 026ff938 00c284ea ffffffff 0157f330 0157f330 HRDLogbook!AfxInternalPumpMessage+0x3e [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\thrdcore.cpp @ 183] 
20 026ff954 01065cc9 00d5cb4d 00000001 00000000 HRDLogbook!CWinThread::Run+0x57 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\thrdcore.cpp @ 629] 
21 026ff968 00d5cad3 00be0000 00000000 04911c68 HRDLogbook!AfxWinMain+0x66 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\winmain.cpp @ 47] 
22 026ff9b4 767b8674 02559000 767b8650 ec3cb906 HRDLogbook!__tmainCRTStartup+0xfd [f:\dd\vctools\crt\crtw32\startup\crt0.c @ 251] 
23 026ff9c8 774b4b47 02559000 edeef88e 00000000 kernel32!BaseThreadInitThunk+0x24
24 026ffa10 774b4b17 ffffffff 774d9f87 00000000 ntdll!__RtlUserThreadStart+0x2f
25 026ffa20 00000000 00d5cb4d 02559000 00000000 ntdll!_RtlUserThreadStart+0x1b

K7ZCZ

2018-05-15 12:14

manager   ~0005055

Here's a link to the ticket: https://support.hamradiodeluxe.com/scp/tickets.php?id=18426

The ticket says that the user is just opening the Logbook application. I don't think the user is giving us the whole story, as this call stack shows the application is responding to a mouse click on the task panel in the logbook's UI. This doesn't happen automatically -- the user has to actually click the mouse to get this call stack. The ticket doesn't say anything about clicking on the UI.

K7ZCZ

2018-05-15 12:23

manager   ~0005056

It's a pity that we don't have more reliable information from the customer. Not much changed in this area between these two releases.

K7ZCZ

2018-05-15 12:41

manager   ~0005057

should be fixed with this checkin: https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4121

PD9FER

2018-05-15 13:14

viewer   ~0005058

I will contact customer and ask to test the Beta when there is one.

g3ucq

2018-05-16 04:18

viewer   ~0005059

No problem for me.

PD9FER

2018-05-16 04:24

viewer   ~0005060

Happens when he clicks on his database
See picture

g3ucq

2018-05-16 04:46

viewer   ~0005062

I have 8 logbooks and each opened without a problem, many times.

K7ZCZ

2018-05-16 08:43

manager   ~0005063

It would be interesting to see a screen shot of the whole application's frame window rather than just the task panel. That would give some insight into the state of the application before he clicks on it.

The change I've made will defend against this bug actually crashing, but it would be useful to know what gets the application into the state where a view is not available but the task panel still is available. That knowledge might result in a more robust fix, or might lead us to finding other problems before the actually become crashes reported by customers.

WA9PIE

2018-05-29 15:13

administrator   ~0005141

I've never had this happen and I can't test it. I'll get with the Reporter to validate.

PD9FER

2018-06-01 03:05

viewer   ~0005158

Sent Beta link to customer for testing..
Keep you posted!

PD9FER

2018-06-05 13:17

viewer   ~0005201

Issue solved with Beta 842 for the customer....

WA9PIE

2018-06-05 13:26

administrator   ~0005202

Last edited: 2018-06-05 13:27

View 2 revisions

Tested by the customer who reported it. Fix is validated.

Issue History

Date Modified Username Field Change
2018-05-15 06:43 PD9FER New Issue
2018-05-15 06:46 PD9FER Note Added: 0005048
2018-05-15 11:04 K7ZCZ Note Added: 0005054
2018-05-15 12:14 K7ZCZ Note Added: 0005055
2018-05-15 12:23 K7ZCZ Note Added: 0005056
2018-05-15 12:41 K7ZCZ Assigned To => K7ZCZ
2018-05-15 12:41 K7ZCZ Status new => resolved
2018-05-15 12:41 K7ZCZ Resolution open => fixed
2018-05-15 12:41 K7ZCZ Testing => Not Started
2018-05-15 12:41 K7ZCZ Note Added: 0005057
2018-05-15 13:14 PD9FER Note Added: 0005058
2018-05-16 04:18 g3ucq Note Added: 0005059
2018-05-16 04:24 PD9FER File Added: HRD Logbook error step 1.PNG
2018-05-16 04:24 PD9FER Note Added: 0005060
2018-05-16 04:46 g3ucq Note Added: 0005062
2018-05-16 08:43 K7ZCZ Note Added: 0005063
2018-05-23 09:49 K7ZCZ Project 1 - Backlog => 3 - Current Dev List
2018-05-26 23:27 K7ZCZ Fixed in Version => 6.4.0.842
2018-05-29 15:13 WA9PIE Note Added: 0005141
2018-06-01 03:05 PD9FER Note Added: 0005158
2018-06-05 13:17 PD9FER Note Added: 0005201
2018-06-05 13:26 WA9PIE Status resolved => closed
2018-06-05 13:26 WA9PIE Testing Not Started => Beta Successful
2018-06-05 13:26 WA9PIE Note Added: 0005202
2018-06-05 13:27 WA9PIE Note Edited: 0005202 View Revisions
2018-06-13 09:13 WA9PIE Fixed in Version 6.4.0.842 => 6.4.0.843
2018-06-13 09:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe